package Common.Database;
import Common.Database.Objects.DBForm.FormsDBTable;
import Common.Database.Objects.Grid.TablesVisualDatasDBTable;
import Common.Database.Objects.PassStats.PassStatsDBTable;
import Common.Database.Objects.Splitter.SplittersDBTable;
import Common.Database.SQLITE.SQLiteDatabase;
import Common.Passes.PassCode_;

import java.io.File;
public class VisualiserDatabase extends SQLiteDatabase {
    public FormsDBTable forms;
    public TablesVisualDatasDBTable tablesVisualData;
    public SplittersDBTable splitters;
    public PassStatsDBTable passStats;
    public VisualiserDatabase(File file_in) {
        super(file_in);
    }
    @Override
    protected void initAllTables() throws Exception {
        addTable(forms = new FormsDBTable());
        addTable(tablesVisualData = new TablesVisualDatasDBTable());
        addTable(splitters = new SplittersDBTable());
        addTable(passStats = new PassStatsDBTable());
    }
    @Override
    public PassCode_ getSynchronizePassCode() {
        return null;
    }
}
